Subject: Re: IRQ Level / Edge

From: Sven Luther <[email-masked]>
Date: Sun, 4 Jul 2004 20:05:07 +0200

On Sun, Jul 04, 2004 at 07:31:41PM +0200, Sylvain Munaut wrote:
>
> >
> > Err, i suppose the interesting bit is not how the board designer
> > will know wheter the interrupt is edge or level, but how the kernel
> > running on the board is able to detect it ?
> >
> > Friendly,
>
>
> Well, the kernel doesn't detect it. You have to tell him !
> That's why I asked, because in the interrupt controller code, you have
> to set it in the irq_desc[i] structure.

Mmm, i suppose the firmware would know about it, and it should be
possible to read it from there ?

Friendly,

Sven Luther

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/